<h1> DSP C66x Image Processing Demo </h1>

<p> This example demonstrates offload of image processing task to TI C66x DSPs. The gstreamer pipeline decodes an H265 clip on ARM A15, and offloads the image processing task (Sobel 3x3 kernel) to DSP via OpenCL. Finally the processed clip is resized, encoded, and saved to a file (/usr/share/ti/video/TearOfSteel-Short-640x480_DSP_Processed.mp4) in mp4 container format. </p>

<h2> Gstreamer Pipeline </h2>
<p>
gst-launch <br>
&nbsp; |_ filesrc <br>
&nbsp;&nbsp; |_ h265dec <br>
&nbsp;&nbsp;&nbsp; |_ videoconvert <br>
&nbsp;&nbsp;&nbsp;&nbsp; |_ dsp66videokernel <br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; |_ videoscale <br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; |_ avenc_mpeg4 <br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; |_ qtmux <br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; |_ filesink <br>
</p>
